c++ ObjectARX 二次开发

[转载]ObjectARX视口旋转示例源码

09 05月
作者:admin|分类:ObjectARX
//视口旋转
  ads_name ent;
  ads_point pt;
  if (RTNORM != acedEntSel(_T("\n选择视口: "),ent,pt))
  {
   return;
  }
  AcDbObjectId objId=AcDbObjectId::kNull;
  Acad::ErrorStatus es = acdbGetObjectId(objId,ent);
  AcDbEntity *pEnt=NULL;
  es = acdbOpenAcDbEntity(pEnt,objId,AcDb::kForWrite);
  if (es != Acad::eOk)
  {
   return;
  }
  if (pEnt->isKindOf(AcDbViewport::desc()))
  {
   AcDbViewport *pViewPort=AcDbViewport::cast(pEnt);
   AcGePoint2d ptCenter= pViewPort->viewCenter(); 
   pViewPort->setTwistAngle(pViewPort->twistAngle() + 3.14159265358979323846*0.5); 
   ptCenter.rotateBy(3.14159265358979323846*0.5);
   pViewPort->setViewCenter(ptCenter);
  }
  pEnt->close();

 

浏览2767 评论0
返回
目录
返回
首页
[转载]Visual Lisp获得网络时间的方法 [转载]常用链接

发表评论

◎欢迎参与讨论,请在这里发表您的看法、交流您的观点。